Foreword xx

Productive Christians, reviewing Sider’s desperate and ineffective
squirming in his second edition, page by page. Sales of Sider’s sec-
ond edition stalled, indicating that the Sider fad isjust about over.
When he failed to reply to Chilton, pretending that Chilton hadn’t
beaten him to a pulp, he removed himself from the intellectual
contest. Schlossberg noted in his review of Chilton’s book that
Sider had failed to reply. Sider will never recover his academic
reputation, to the extent that he ever had one. He knows that if he
can get anyone to publish a third edition, which is unlikely, Chil-
ton will simply beat him up again. Who needs it?

Vickers knows this, too. The free ride is over. Hedge does the
unforgivable in the world of liberal academia: he quotes Dr. Vick-
ers in context, verbatim. When you read these passages, you will
better understand how cruel Hedge is. In short, if you enjoyed the
final scenes in the “Rocky” movies, you'll enjoy Baptized Inflation.
When you're finished, I'm sure you'll agree: Douglas Vickers is in-
deed dead meat.
